Name:           flite
Version:        2.2
Release:        1
Summary:        A small, fast run time synthesis engine
License:        MIT
URL:            http://www.speech.cs.cmu.edu/flite/
Source0:        https://github.com/festvox/flite/archive/v%{version}/flite-%{version}.tar.gz

BuildRequires:  autoconf automake libtool ed alsa-lib-devel
BuildRequires:  gcc make pulseaudio-libs-devel texinfo

Patch0:         flite-2.2-lto.patch
# fixes build with texinfo-7.0+, see https://lists.gnu.org/archive/html/bug-texinfo/2022-11/msg00036.html
Patch1:         flite-2.2-texinfo-7.0.patch

%description
Flite was primarily developed to address one of the most common complaints
about the Festival Speech Synthesis System. Festival is large and slow, even
with the software bloat common amongst most products and that that bloat has
helped machines get faster, have more memory and large disks, still Festival
is criticized for its size.

%package        devel
Summary:        Development files for flite
Requires:       flite = %{version}-%{release}

%description    devel
Development files for Flite, a small, fast speech synthesis engine.

%prep
%autosetup -n flite-%{version} -p1

%build
autoreconf -vif
%configure  --enable-shared --with-audio=pulseaudio
make
cd doc
%make_build flite.html

%install
%make_install
rm %{buildroot}%{_libdir}/libflite*.a

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc COPYING ACKNOWLEDGEMENTS doc/html README.md
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%{_libdir}/*.so
%{_includedir}/flite

%changelog
* Tue Jul 25 2023 chenchen <chen_aka_jan@163.com> - 2.2-1
- upgrade to version 2.2

* Fri Nov 18 2022 yaoxin <yaoxin30@h-partners.com> - 1.3-34
- Modify invalid Source

* Thu Dec 12 2019 Ling Yang <lingyang2@huawei.com> - 1.3-33
- Package init
